### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
Tian Class Reference
Lattice methods

Tian tree: third moment matching, multiplicative approach More...

`#include <ql/methods/lattices/binomialtree.hpp>`

Inheritance diagram for Tian:
[legend]

List of all members.

## Public Member Functions

| Tian (const boost::shared_ptr< StochasticProcess1D > &, Time end, Size steps, Real strike)
Real | underlying (Size i, Size index) const
Real | probability (Size, Size, Size branch) const

## Protected Attributes

Real | up_
Real | down_
Real | pu_
Real | pd_

## Detailed Description

Tian tree: third moment matching, multiplicative approach